/*
 * DataItem.java
 */

package edu.ba.de.java.kpi;

/**
 * @author Kevin Niehage
 */
public class DataItem extends Object {
    /**
     * Jeder Dateneintrag hat einen Namen und einen ihm zugewiesenen Wert.
     */
    private String fName  = null;
    private String fValue = null;
    
    /** 
     * Diese Methode erzeugt einen neuen Dateneintrag und weist direkt
     * die entsprechenden Werte zu.
     */
    public static DataItem create(final String aName, final String aValue) {
        DataItem lResult = new DataItem();
        
        lResult.setName(aName);
        lResult.setValue(aValue);
        
        return lResult;
    }
    
    /**
     * Diese Methode gibt den Wert von fName zurck.
     */
    public String getName() {
        return fName;
    }
    
    /**
     * Diese Methode gibt den Wert von fValue zurck.
     */
    public String getValue() {
        return fValue;
    }
    
    /**
     * Diese Methode setzt den Wert von fName.
     */
    public void setName(final String aValue) {
        fName = aValue;
    }
    
    /**
     * Diese Methode setzt den Wert von fValue.
     */
    public void setValue(final String aValue) {
        fValue = aValue;
    }
}
