/*
 * Main.java
 */

package edu.ba.de.java.kpi;

import java.io.*;
import java.lang.*;
import javax.swing.*;

/**
 * @author Kevin Niehage
 */
public class Main {
    /**
     * Diese Methode gibt einen verstndlichen Text auf der Konsole und
     * in Form eines Nachrichten-Fensters aus, der zuvor aus den Daten
     * einer Exception-Instanz extrahiert werden.
     */
    public static void showError(Exception aException) {
        String lError = "Unknown Error";
        
        if (aException != null) {
            try {                
                int    lIndexA = 0;
                int    lIndexB = 0;
                String lLine   = null;
                String lTemp   = aException.getMessage();

                if (lTemp.indexOf("\n") >= 0) {
                    lError = lTemp.substring(0, lTemp.indexOf("\n"));

                    do {
                        lIndexB = lTemp.indexOf("\n", lIndexA);

                        lLine = lTemp.substring(lIndexA, lIndexB);
                        if (lLine != null) {
                            if (lLine.toLowerCase().startsWith("message:")) {
                                lError = lError + "\n" + lLine;

                                break;
                            }

                            lIndexA = ++lIndexB;
                        }
                    } while (lLine != null);
                }
                else {
                    lError = lTemp;
                }
            }
            catch(Exception e) {
                lError = "Cannot Generate Error Message from Exception";
            }
        }
              
        System.out.println(lError);
        JOptionPane.showMessageDialog(null, lError);
    }
    
    /**
     * Dies ist die Hauptmethode der Anwendung.
     * Sie erzeugt das Datenfenster, das angezeigt wird, bevor das Programm
     * richtig gestartet wird.
     */
    public static void main(String[] args) {
        new KPIData().setVisible(true);
    }
}
